Skip to content

Tasks

All operations require authentication.

8 operationsv1/email/exchange · /msServices/{serviceName}
Agent setup

List email account tasksProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/tasks

List email account tasks. Returns the IDs of the tasks of the email account. Get one to follow its function, status and dates.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

primaryEmailAddress
required
string

Default email for this mailbox

Response

200integer[]successful operation

Example uses exchangeService = string, organizationName = string, primaryEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/tasks/{id}

Get a task. Returns the function, the status, the creation date (todoDate) and the completion date (finishDate) of the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

id
required
integer

Task id

organizationName
required
string

The internal name of your exchange organization

primaryEmailAddress
required
string

Default email for this mailbox

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, id = 0, organizationName = string, primaryEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/account/{primaryEmailAddress}/tasks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List service tasksProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/task

List service tasks. Returns the IDs of the tasks of the Exchange service. Get one to follow its function, status and dates.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200integer[]successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/task/{id}

Get a task. Returns the function, the status, the creation date (todoDate) and the completion date (finishDate) of the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

id
required
integer

Task id

organizationName
required
string

The internal name of your exchange organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, id = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List linked Exchange service tasksProduction

GET
/1.0/msServices/{serviceName}/exchange/task

List linked Exchange service tasks. Returns the IDs of the tasks of the Exchange service linked to the Active Directory service.

Path parameters

serviceName
required
string

The internal name of your Active Directory organization

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/msServices/{serviceName}/exchange/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a linked Exchange service taskProduction

GET
/1.0/msServices/{serviceName}/exchange/task/{id}

Get a linked Exchange service task. Returns the function, status, creation date and completion date of the task.

Path parameters

id
required
integer

Task id

serviceName
required
string

The internal name of your Active Directory organization

Response

200exchangeTasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/msServices/{serviceName}/exchange/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List Active Directory tasksProduction

GET
/1.0/msServices/{serviceName}/task

List Active Directory tasks. Returns the IDs of the tasks of the Active Directory service. Filter them by function or status.

Path parameters

serviceName
required
string

The internal name of your Active Directory organization

Query parameters

function
TaskFunctionEnum

Filter the value of function property (=)

ValuesactivateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicy
status
TaskStatusEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/msServices/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an Active Directory taskProduction

GET
/1.0/msServices/{serviceName}/task/{id}

Get an Active Directory task. Returns the function, status, creation date and completion date of the task.

Path parameters

id
required
integer

Task id

serviceName
required
string

The internal name of your Active Directory organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicy
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/msServices/{serviceName}/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}